Rated 4 out of 5 stars

Though I cannot use the addon because it is not compatible with FF15, full marks for the idea.

If the addon developer makes it compatible, I will gratefully use it and add the addon to my various addon collections.